petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSlicedSetPreallocation

sets the matrix memory preallocation for matrices computed by DMSliced

### Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode  DMSlicedSetPreallocation(DM dm,PetscInt d_nz,const PetscInt d_nnz[],PetscInt o_nz,const PetscInt o_nnz[])

Not Collective Many br

### Input Parameters

| slice | - the DM object Many br
| d_nz | - number of block nonzeros per block row in diagonal portion of local Many brsubmatrix (same for all local rows) Many br
| d_nnz | - array containing the number of block nonzeros in the various block rows Many brof the in diagonal portion of the local (possibly different for each block Many brrow) or NULL. Many br
| o_nz | - number of block nonzeros per block row in the off-diagonal portion of local Many brsubmatrix (same for all local rows). Many br
| o_nnz | - array containing the number of nonzeros in the various block rows of the Many broff-diagonal portion of the local submatrix (possibly different for Many breach block row) or NULL. Many br

### Notes

See MatMPIBAIJSetPreallocation() for more details on preallocation. If a scalar matrix (AIJ) is Many brobtained with DMSlicedGetMatrix(), the correct preallocation will be set, respecting DMSlicedSetBlockFills(). Many br

Many br

### See Also

DMDestroy(), DMCreateGlobalVector(), MatMPIAIJSetPreallocation(),
MatMPIBAIJSetPreallocation(), DMSlicedGetMatrix(), DMSlicedSetBlockFills() Many br

Level:advanced
Location:src/dm/impls/sliced/sliced.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages